# $Revision: 1.14 $, $Date: 2004/08/02 10:36:44 $
Summary:	Card games for the Linux VGA console
Summary(fr):	Jeux de cartes pour la console Linux
Summary(es):	Juego de carta de baraja para consola
Summary(pl):	Gry karciane dla linuksowek konsoli VGA
Summary(pt_BR):	Jogo de carta de baralho para console
Summary(tr):	Konsolda oynanan kat oyunlar
Name:		vga_cardgames
Version:	1.3.1
Release:	14
License:	distributable
Group:		Applications/Games
Source0:	ftp://sunsite.unc.edu/pub/Linux/games/solitaires/%{name}-%{version}.tgz
# Source0-md5:	550fa167ff4798ccb6c9419732397e0f
Patch0:		%{name}-misc.patch
BuildRequires:	svgalib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A number of various card games for the Linux VGA console, including
Klondike, 'Oh Hell', Solitaire, and Spider, as well as some other
popular time-wasters :)

%description -l de
Eine Reihe verschiedener Kartenspiele fr die Linux-Konsole, u.a.
Klondike, Oh Hell, Solitaire und Spider, plus andere beliebte Zeit-
vergeuder ...

%description -l es
Varios juegos de baraja para Linux, incluye Klondike, "Oh Hell",
Solitaire, y Spider, as como otros populares pasatiempos :)

%description -l fr
Divers jeux de cartes en mode console pour Linux, dont Klondike, 'Oh
Hell', Solitaire, et Spider, ainsi que d'autres passe-temps populaires
:).

%description -l pl
Wiele rnych gier karcianych dla linuksowej konsoli VGA, w tym
Klondike, "Oh Hell", Solitaire i Spider, oraz inne popularne gry do
tracenia czasu.

%description -l pt_BR
Vrios jogos de carta para o Linux, incluindo Klondike, "Oh Hell",
Solitaire, e Spider, assim como outros populares passatempos :)

%description -l tr
Metin ekranda oynanan eitli kat oyunlar. Klondike, Solitaire,
Spider gibi fal oyunlar bu pakette yer alr.

%prep
%setup -q -n vga_cardgames
%patch -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT_FLAGS="%{rpmcflags}" \
	LIBDIR=%{_libdir}/games

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}/games

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/vga_klondike
%attr(755,root,root) %{_bindir}/vga_ohhell
%attr(755,root,root) %{_bindir}/vga_solitaire
%attr(755,root,root) %{_bindir}/vga_spider
%{_libdir}/games/Vga16font8x16.cards
%{_libdir}/games/Cards56x80

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vga_cardgames.spec,v $
Revision 1.14  2004/08/02 10:36:44  ankry
- amd64 fix, rel. 14

Revision 1.13  2004/08/01 21:11:01  qboosh
- release 13

Revision 1.12  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.11  2004/04/11 20:55:33  qboosh
- cosmetics, release 12 for Ac

Revision 1.10  2003/05/28 13:02:34  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:27:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/12/13 22:50:07  ankry
- adapterized

Revision 1.7  2002/12/02 11:06:28  ankry
- massive cleaning

Revision 1.6  2002/08/16 21:04:57  kloczek
- release 11.

Revision 1.5  2002/08/16 16:40:43  qboosh
- added alpha

Revision 1.4  2002/07/02 07:54:59  marcus
- allowed building on PPC with svgalib4ggi
- use new %%doc
- rel.10

Revision 1.3  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/02/17 15:40:43  kloczek
- merge translations from Conectiva.

Revision 1.1  2002/02/17 13:15:23  qboosh
- PLDified from RH 5.1: some old svgalib solitaires; release 9

Based on spec from RedHat.
